Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.util.http
Interface HttpRequestListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  FileListener, ReverseListener, SeparatorListener, SieveListener, SimpleHttpImageServer

public interface HttpRequestListener
extends java.util.EventListener

The listener interface for receiving http requests.

Version:
  1.0, 06/13/97
Author:
  Tom Mitchell

Method Summary
`void` | `httpRequest(HttpRequestEvent e)` Invoked when an http request is received.

Method Detail

### httpRequest

    public void httpRequest(HttpRequestEvent e)
                     throws java.io.IOException

  Invoked when an http request is received.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details